class Filter {
  int porn;
  int anonymous;
  List<String> keywords;

  Filter({this.porn, this.anonymous, this.keywords});

  Filter.fromJson(Map<String, dynamic> json) {
    porn = json['porn'];
    anonymous = json['anonymous'];

    if (json['keywords'] != null) {
      keywords = List<String>();
      List keywordList = json['keywords'];
      if (keywordList != null) {
        keywordList.forEach((element) {
          keywords.add(element);
        });
      }
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['porn'] = this.porn;
    data['anonymous'] = this.anonymous;
    data['keywords'] = this.keywords;
    return data;
  }
}
